# Subscriptions

A subscription is a product or service that has recurring charges,
such as a monthly flat fee or charges based on usage. Subscriptions can also include
one-time charges, such as activation fees. Every subscription must be associated
with an account. At least one active account must exist before any subscriptions
can be created.
For more information, see Subscriptions.

 - [POST /v1/subscriptions/preview](https://developer.zuora.com/v1-api-reference/api/subscriptions/post_previewsubscription.md): The REST API reference describes how to create a new subscription in preview mode. This call does not require a valid customer account. It can be used to show potential new customers a preview of a su
 - [POST /v1/subscriptions/{subscription-key}/preview](https://developer.zuora.com/v1-api-reference/api/subscriptions/previewexistingsubscription.md): Describes how to preview an existing subscription to view information about existing and future invoices or credit memos. **Note**: The `Zuora-Version` parameter must be `207.0` or later.
 - [POST /v1/subscriptions](https://developer.zuora.com/v1-api-reference/api/subscriptions/post_subscription.md): This operation describes how to create a new subscription for an existing customer account. ### Notes If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version`
 - [GET /v1/subscriptions/accounts/{account-key}](https://developer.zuora.com/v1-api-reference/api/subscriptions/get_subscriptionsbyaccount.md): Retrieves all subscriptions associated with the specified account. Zuora only returns the latest version of the subscriptions. Subscription data is returned in reverse chronological order based on `up
 - [GET /v1/subscriptions/{subscription-key}](https://developer.zuora.com/v1-api-reference/api/subscriptions/get_subscriptionsbykey.md): This REST API reference describes how to retrieve detailed information about a specified subscription in the latest version.
 - [PUT /v1/subscriptions/{subscription-key}](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_subscription.md): Use this call to make the following kinds of changes to a subscription: - Add a note - Change the renewal term or auto-renewal flag - Change the term length or change between evergreen and termed - Ad
 - [GET /v1/subscriptions/{subscription-key}/versions/{version}](https://developer.zuora.com/v1-api-reference/api/subscriptions/get_subscriptionsbykeyandversion.md): This REST API reference describes how to retrieve detailed information about a specified subscription in a specified version. When you create a subscription amendment, you create a new version of the
 - [PUT /v1/subscriptions/{subscription-key}/renew](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_renewsubscription.md): Renews a termed subscription using existing renewal terms. When you renew a subscription, the current subscription term is extended by creating a new term. If any charge in your subscription has the
 - [PUT /v1/subscriptions/{subscription-key}/cancel](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_cancelsubscription.md): This REST API reference describes how to cancel an active subscription. **Note**: If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version` parameter to `211.0
 - [PUT /v1/subscriptions/{subscription-key}/resume](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_resumesubscription.md): This REST API reference describes how to resume a suspended subscription. **Note**: If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version` parameter to `211
 - [PUT /v1/subscriptions/{subscription-key}/suspend](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_suspendsubscription.md): This REST API reference describes how to suspend an active subscription. **Note**: If you have the Invoice Settlement feature enabled, it is best practice to set the `Zuora-Version` parameter to `211.
 - [PUT /v1/subscriptions/{subscription-key}/delete](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_deletesubscription.md): This REST API reference describes how to delete a subscription of the specified subscription number.
 - [PUT /v1/subscriptions/{subscriptionNumber}/versions/{version}/customFields](https://developer.zuora.com/v1-api-reference/api/subscriptions/put_updatesubscriptioncustomfieldsofaspecifiedversion.md): Updates the custom fields of a specified subscription version.
 - [GET /v1/subscriptions/subscription-metrics](https://developer.zuora.com/v1-api-reference/api/subscriptions/getmetricsbysubscriptionnumbers.md): Lists subscription metrics for the subscriptions that you specify by subscription numbers.
